>From a64055c2f27db3d256e7ac43da25181d8b44ea91 Mon Sep 17 00:00:00 2001
From: Steinar H. Gunderson <steinar+vlc@gunderson.no>
Date: Sat, 12 Feb 2011 17:51:30 +0100
Subject: [PATCH 3/3] In the decklink module, add a string list for the audio connection
 alternatives.

---
 modules/access/decklink.cpp |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/modules/access/decklink.cpp b/modules/access/decklink.cpp
index 6b97246..ac69c19 100644
--- a/modules/access/decklink.cpp
+++ b/modules/access/decklink.cpp
@@ -86,6 +86,13 @@ static const char *const ppsz_videoconns_text[] = {
     N_("SDI"), N_("HDMI"), N_("Optical SDI"), N_("Component"), N_("Composite"), N_("S-video")
 };
 
+static const char *const ppsz_audioconns[] = {
+    "embedded", "aesebu", "analog"
+};
+static const char *const ppsz_audioconns_text[] = {
+    N_("Embedded"), N_("AES/EBU"), N_("Analog")
+};
+
 #define ASPECT_RATIO_TEXT N_("Aspect ratio")
 #define ASPECT_RATIO_LONGTEXT N_( \
     "Aspect ratio (4:3, 16:9). Default assumes square pixels." )
@@ -104,6 +111,7 @@ vlc_module_begin ()
                  CACHING_TEXT, CACHING_LONGTEXT, true )
     add_string( "decklink-audio-connection", 0,
                  AUDIO_CONNECTION_TEXT, AUDIO_CONNECTION_LONGTEXT, true )
+        change_string_list( ppsz_audioconns, ppsz_audioconns_text, 0 )
     add_integer( "decklink-audio-rate", 48000,
                  RATE_TEXT, RATE_LONGTEXT, true )
     add_integer( "decklink-audio-channels", 2,
-- 
1.7.2.3

